Skip to main content
O&M Management/Tag Management APIs
PUTTag Management APIsSince 3.2.0SynchronousAuth Required

Update Tag

Update Tag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID, uniquely identifying this resource

Body Fields

  • updatetagObjectRequired

    updatetag request body object.

    • nameString

      Resource name

    • valueString

      Tag value

    • descriptionString

      Detailed description of the resource

    • colorString

      Tag color

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/tags/{uuid}/actions

/zstack/v1/tags/{uuid}/actions

Operation ID

UpdateTag

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tags/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatetag":{"name":"<name>","value":"<value>","description":"<description>","color":"<color>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history